package com.ruoyi.project.reliability.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 定性分析对象 t_qualitative_analysis
 *
 * @author ssy
 * @date 2024-03-04
 */
public class TQualitativeAnalysis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 位置 */
    @Excel(name = "位置")
    private String location;

    /** 位号 */
    @Excel(name = "位号")
    private String tagNo;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** Object Type */
    @Excel(name = "Object Type")
    private String objectType;

    /** Catalog Profile */
    @Excel(name = "Catalog Profile")
    private String catalogProfile;

    /** Relevant (r)/not relevant (n) */
    @Excel(name = "Relevant (r)/not relevant (n)")
    private String relevant;

    /** 故障频率 */
    @Excel(name = "故障频率")
    private String frequencyFailure;

    /** 维护成本 */
    @Excel(name = "维护成本")
    private String maintenanceCost;

    /** 生成损失 */
    @Excel(name = "生成损失")
    private String productionLoss;

    /** 维护风险 */
    @Excel(name = "维护风险")
    private String maintenanceRisk;

    /** 生成风险 */
    @Excel(name = "生成风险")
    private String productionRisk;

    /** 设备类别 */
    @Excel(name = "设备类别")
    private String equipmentCategory;

    /** 风险程度 */
    @Excel(name = "风险程度")
    private String riskCriticality;

    /** 定量分析 */
    @Excel(name = "定量分析")
    private String quantitativeAnalysis;

    /** 维修策略（目前） */
    @Excel(name = "维修策略", readConverterExp = "目=前")
    private String maintenanceStrategy;

    /** 维修策略描述 */
    @Excel(name = "维修策略描述")
    private String msDescription;

    /** 备件策略（当前） */
    @Excel(name = "备件策略", readConverterExp = "当=前")
    private String sparepartStrategy;

    /** 备件策略描述 */
    @Excel(name = "备件策略描述")
    private String ssDescription;

    /** 需要澄清 */
    @Excel(name = "需要澄清")
    private String needClarification;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    @TableField(exist = false)
    private String deptName;

    private String materialSpecification;
    private String specificationMode;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getMaterialSpecification() {
        return materialSpecification;
    }

    public void setMaterialSpecification(String materialSpecification) {
        this.materialSpecification = materialSpecification;
    }

    public String getSpecificationMode() {
        return specificationMode;
    }

    public void setSpecificationMode(String specificationMode) {
        this.specificationMode = specificationMode;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setTagNo(String tagNo)
    {
        this.tagNo = tagNo;
    }

    public String getTagNo()
    {
        return tagNo;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setObjectType(String objectType)
    {
        this.objectType = objectType;
    }

    public String getObjectType()
    {
        return objectType;
    }
    public void setCatalogProfile(String catalogProfile)
    {
        this.catalogProfile = catalogProfile;
    }

    public String getCatalogProfile()
    {
        return catalogProfile;
    }
    public void setRelevant(String relevant)
    {
        this.relevant = relevant;
    }

    public String getRelevant()
    {
        return relevant;
    }
    public void setFrequencyFailure(String frequencyFailure)
    {
        this.frequencyFailure = frequencyFailure;
    }

    public String getFrequencyFailure()
    {
        return frequencyFailure;
    }
    public void setMaintenanceCost(String maintenanceCost)
    {
        this.maintenanceCost = maintenanceCost;
    }

    public String getMaintenanceCost()
    {
        return maintenanceCost;
    }
    public void setProductionLoss(String productionLoss)
    {
        this.productionLoss = productionLoss;
    }

    public String getProductionLoss()
    {
        return productionLoss;
    }
    public void setMaintenanceRisk(String maintenanceRisk)
    {
        this.maintenanceRisk = maintenanceRisk;
    }

    public String getMaintenanceRisk()
    {
        return maintenanceRisk;
    }
    public void setProductionRisk(String productionRisk)
    {
        this.productionRisk = productionRisk;
    }

    public String getProductionRisk()
    {
        return productionRisk;
    }
    public void setEquipmentCategory(String equipmentCategory)
    {
        this.equipmentCategory = equipmentCategory;
    }

    public String getEquipmentCategory()
    {
        return equipmentCategory;
    }
    public void setRiskCriticality(String riskCriticality)
    {
        this.riskCriticality = riskCriticality;
    }

    public String getRiskCriticality()
    {
        return riskCriticality;
    }
    public void setQuantitativeAnalysis(String quantitativeAnalysis)
    {
        this.quantitativeAnalysis = quantitativeAnalysis;
    }

    public String getQuantitativeAnalysis()
    {
        return quantitativeAnalysis;
    }
    public void setMaintenanceStrategy(String maintenanceStrategy)
    {
        this.maintenanceStrategy = maintenanceStrategy;
    }

    public String getMaintenanceStrategy()
    {
        return maintenanceStrategy;
    }
    public void setMsDescription(String msDescription)
    {
        this.msDescription = msDescription;
    }

    public String getMsDescription()
    {
        return msDescription;
    }
    public void setSparepartStrategy(String sparepartStrategy)
    {
        this.sparepartStrategy = sparepartStrategy;
    }

    public String getSparepartStrategy()
    {
        return sparepartStrategy;
    }
    public void setSsDescription(String ssDescription)
    {
        this.ssDescription = ssDescription;
    }

    public String getSsDescription()
    {
        return ssDescription;
    }
    public void setNeedClarification(String needClarification)
    {
        this.needClarification = needClarification;
    }

    public String getNeedClarification()
    {
        return needClarification;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("location", getLocation())
            .append("tagNo", getTagNo())
            .append("description", getDescription())
            .append("objectType", getObjectType())
            .append("catalogProfile", getCatalogProfile())
            .append("relevant", getRelevant())
            .append("frequencyFailure", getFrequencyFailure())
            .append("maintenanceCost", getMaintenanceCost())
            .append("productionLoss", getProductionLoss())
            .append("maintenanceRisk", getMaintenanceRisk())
            .append("productionRisk", getProductionRisk())
            .append("equipmentCategory", getEquipmentCategory())
            .append("riskCriticality", getRiskCriticality())
            .append("quantitativeAnalysis", getQuantitativeAnalysis())
            .append("maintenanceStrategy", getMaintenanceStrategy())
            .append("msDescription", getMsDescription())
            .append("sparepartStrategy", getSparepartStrategy())
            .append("ssDescription", getSsDescription())
            .append("needClarification", getNeedClarification())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
